Subject: bug#60587: Patch for adding links to symbols' help documentation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Mar 2023 10:32:29 +0200

> From: "H. Dieter Wilhelm" <[email-masked]>
> Cc: Drew Adams <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   "[email-masked]" <[email-masked]>,  Juri Linkov
>  <[email-masked]>
> Date: Wed, 01 Mar 2023 22:45:06 +0100
> 
> Tags: patch
> 
> Stefan Monnier <[email-masked]> writes:
> 
> >> The only thing, which feels strange to me, is that
> >> 'info-links-to-help-mode' is now a minor mode for all buffers (and
> >> modes).  Sure, it's only affecting 'Info-mode' but isn't there a way of
> >> making it a "global" minor mode only for Info buffers?  Anyway, I
> >> couldn't find a way to restrict global minor modes to certain major
> >> modes.
> >
> > No it's perfectly normal to have a global preference that only affects
> > the buffers for which it's relevant.  I like my food to be spicy and
> > that's just as true when I eat as when I don't but it has consequences
> > only when I do.
> >
> 
> Alright :-)
> 
> I've adjusted the code and documentation accordingly and created another
> patch.

Thanks.  I tried to install this, but the patch doesn't apply.  So
please resubmit so it applies to the current master branch.

While at that, please accompany the patch with a commit log message
per our coding standards: it should be a ChangeLog-style list of new
and modified functions, variables and manual nodes, each one with a
short description of the change you made there.  See CONTRIBUTE for
the description of our conventions (search for "ChangeLog") and of
useful Emacs commands that will help you format the log message
according to the conventions.